package com.zhgd.xmgl.push.service;

import com.getui.push.v2.sdk.common.ApiResult;
import com.getui.push.v2.sdk.dto.res.CidStatusDTO;

import java.util.Map;

/**
 * @program: wisdomSite
 * @description:
 * @author: Mr.Peng
 * @create: 2022-04-20 09:45
 **/
public interface UniPushService {

    ApiResult pushToSingleByAlias(String alias, String title, String content,String payload);

    ApiResult bindAlias(String alias, String clientId);//别名绑定

    ApiResult<Map<String, CidStatusDTO>> queryUserStatus(String clientId);
}
